#!/usr/bin/bash

op_name="Name Surname"
op_company="Company"

read -p 'Input sanitization data: ' data


#if [ -z $data ]; then
#	echo "YOU HAVE TO INPUT THE DATA"
#	exit
#fi

start_date=$(echo $data | cut -d "_" -f 1)
end_date=$(echo $data | cut -d "_" -f 2)
system_serial=$(echo $data | cut -d "_" -f 3)
disk_model=$(echo $data | cut -d "_" -f 4)
disk_serial=$(echo $data | cut -d "_" -f 5)
disk_type=$(echo $data | cut -d "_" -f 6)
disk_status=$(echo $data | cut -d "_" -f 7)
sign=$(echo $data | cut -d "_" -f 8)

cat <<EOF > report_temp.md
---
title: ! '**Disk sanitization report**'
date: $(date)
---

# Person performing sanitization:

- **Name:** $op_name
- **Organization:** $op_company

# Media information:

- **Make/Model:** $disk_model
- **Serial number:** $disk_serial
- **Media type:** $disk_type
- **Source (ie user name or PC serial):** $system_serial
- **Data backed up:** [ ]Yes   [ ]No   [X]Unknown

# Sanitization details:

- **Method type:** [X]Clear [ ]Purge [ ]Damage [ ]Destruct
- **Method used:** [ ]Degauss [X]Overwrite [ ]Block Erase [ ]Crypto Erase [ ]Other:
- **Method details:** one random pass and one zero pass as per NIST 800-88 *1
- **Tools used:** shred on HDD and SDD, embedded zeroing on NVME
- **Verification status:** $disk_status
- **Verification Method:** [ ]Full [X]Quick Sampling [ ]Other:
- **Notes:** sample of portion of the disk
- **Operation start:** $start_date
- **Operation end:** $end_date
- **Operation signature (sha1):** $sign

# Media Destintation:
- [ ]Internal Reuse [X]External Reuse [ ]Recycling Facility [ ]Manufacturer [ ]Other (specify in details)
- **Details:**

# Signature:
I attest that the information provided on this statement is accurate to the best of my knowledge:

- Signature:

- Date:
EOF


pandoc report_temp.md -o report_$system_serial.pdf -V geometry:margin=1in --pdf-engine=xelatex

rm report_temp.md

echo "- - -"
echo "your report is in $(pwd)/report_$system_serial.pdf"

xdg-open report_$system_serial.pdf
